Subject: Re: [PATCH v2 01/10] git-rebase.sh: Fix --merge --abort failures when path contains whitespace

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Apr 2008 15:37:22 -0700

Junio C Hamano <[email-masked]> writes:

> I am very inclined to replace t3407 with the following.
>
> diff --git a/t/t3407-rebase-abort.sh b/t/t3407-rebase-abort.sh
> index 37944c3..cadfb23 100755
> --- a/t/t3407-rebase-abort.sh
> +++ b/t/t3407-rebase-abort.sh
> @@ -4,7 +4,13 @@ test_description='git rebase --abort tests'
>  
>  . ./test-lib.sh
>  
> +### Test that we handle strange characters properly
> +work_dir="$(pwd)/test \" ' \$ \\ dir"
> +

Eh, I am sorry, but a slight change of plans.  We would probably want to
exclude backslash from the above, so that we do not get inconsistent test
between DOSsy systems and others.

I think your "trash directory" is a reasonable way to test a very common
issue.  SP is not all that unusual character to use in a pathname,
especially created from within a GUI-ish environment.  So probably we
can do something similar here, like:

	work_dir="$(pwd)/test dir"